Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OCBridge Class Reference

A class that contains data of the bridge for the openchallenge. More...

`#include <SpecialPercept.h>`

Collaboration diagram for OCBridge:

[legend]
List of all members.

## Public Types
enum | Side { none = 0, left, right, numOfSides }
| The different Sides of the bridge. More...
## Public Member Functions
| OCBridge ()
| Constructor.
void | addPercept (double aAngleTo, double aDistanceTo)
| method to add a new percept
## Public Attributes
Side | lastSeenSide
| side of the bridge actually last seen by the camera
double | angleTo
| relative angle to the bridge (middle of the sidemark)
double | distanceTo
| relative distance to the bridge (middle of the sidemark)
Vector2< double > | relPos
| the relative position of the bridge (middle of the sidemark)
unsigned long | timeWhenLastSeen
| time when the bridge was last seen by the own camera
BitePoint | bitePoint [BitePoint::numOfPositions]
| the bitePoints of the bridge
bool | fresh
| indicates fresh-data
Pose2D | lastOdometry
| last odometry-data

## Detailed Description

A class that contains data of the bridge for the openchallenge.

Author:
  Jochen Kerdels

Definition at line 101 of file SpecialPercept.h.

## Member Enumeration Documentation

enum OCBridge::Side

  | The different Sides of the bridge. Enumeration values:
  none |
  left |
  right |
  numOfSides |
Definition at line 108 of file SpecialPercept.h.

## Constructor & Destructor Documentation

OCBridge::OCBridge | ( |  | ) |

| Constructor. Definition at line 108 of file SpecialPercept.cpp. References bitePoint, lastSeenSide, BitePoint::Position, BitePoint::position, Vector2< double >::x, and Vector2< double >::y.

## Member Function Documentation

void OCBridge::addPercept | ( | double | aAngleTo,
|  | double | aDistanceTo
| ) |

| method to add a new percept Definition at line 122 of file SpecialPercept.cpp. References SystemCall::getCurrentSystemTime(), pi_2, sgn, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

Side OCBridge::lastSeenSide

| side of the bridge actually last seen by the camera Definition at line 117 of file SpecialPercept.h. Referenced by OCBridge(), operator<<(), and operator>>().

double OCBridge::angleTo

| relative angle to the bridge (middle of the sidemark) Definition at line 120 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

double OCBridge::distanceTo

| relative distance to the bridge (middle of the sidemark) Definition at line 122 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

Vector2<double> OCBridge::relPos

| the relative position of the bridge (middle of the sidemark) Definition at line 124 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

unsigned long OCBridge::timeWhenLastSeen

| time when the bridge was last seen by the own camera Definition at line 127 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

BitePoint OCBridge::bitePoint[BitePoint::numOfPositions]

| the bitePoints of the bridge Definition at line 130 of file SpecialPercept.h. Referenced by OCBridge(), operator<<(), and operator>>().

bool OCBridge::fresh

| indicates fresh-data Definition at line 136 of file SpecialPercept.h. Referenced by operator<<(), and operator>>().

Pose2D OCBridge::lastOdometry

| last odometry-data Definition at line 139 of file SpecialPercept.h.

The documentation for this class was generated from the following files:

- Representations/Perception/SpecialPercept.h
- Representations/Perception/SpecialPercept.cpp